import weflayr
client = weflayr.client() # reads WEFLAYR_API_KEY
client.get_customers_tags(customer_names=["c_123", "c_456"])
const weflayr = require('weflayr');
const client = weflayr.client(); // reads WEFLAYR_API_KEY
await weflayr.api.getCustomersTags({
client,
throwOnError: true,
query: { customerNames: ['c_123', 'c_456'] },
});
curl "https://app.weflayr.com/api/customer-tags/?customer_names=c_123&customer_names=c_456" \
-H "Authorization: Bearer $WEFLAYR_API_KEY"
{
"customers": [
{"customer_name": "c_123", "tags": {"plan": "enterprise", "region": "EU"}},
{"customer_name": "c_456", "tags": {"plan": "free"}}
],
"next_cursor": null,
"has_more": false
}
Customer tags
Get customer tags
List the tags set on customers.
GET
/
api
/
customer-tags
/
import weflayr
client = weflayr.client() # reads WEFLAYR_API_KEY
client.get_customers_tags(customer_names=["c_123", "c_456"])
const weflayr = require('weflayr');
const client = weflayr.client(); // reads WEFLAYR_API_KEY
await weflayr.api.getCustomersTags({
client,
throwOnError: true,
query: { customerNames: ['c_123', 'c_456'] },
});
curl "https://app.weflayr.com/api/customer-tags/?customer_names=c_123&customer_names=c_456" \
-H "Authorization: Bearer $WEFLAYR_API_KEY"
{
"customers": [
{"customer_name": "c_123", "tags": {"plan": "enterprise", "region": "EU"}},
{"customer_name": "c_456", "tags": {"plan": "free"}}
],
"next_cursor": null,
"has_more": false
}
See Customer tags for what they do in the dashboard.
Parameters
list[string]
Specify the names of the customers whose tags should be fetched. Not setting it means “all customers”.
integer
default:"100"
Numbers of customers to fetch. Max
1000.string
The route is paginated: pass the previous page’s
next_cursor to fetch the next page. PS: has_more from the output says whether another page exists.import weflayr
client = weflayr.client() # reads WEFLAYR_API_KEY
client.get_customers_tags(customer_names=["c_123", "c_456"])
const weflayr = require('weflayr');
const client = weflayr.client(); // reads WEFLAYR_API_KEY
await weflayr.api.getCustomersTags({
client,
throwOnError: true,
query: { customerNames: ['c_123', 'c_456'] },
});
curl "https://app.weflayr.com/api/customer-tags/?customer_names=c_123&customer_names=c_456" \
-H "Authorization: Bearer $WEFLAYR_API_KEY"
{
"customers": [
{"customer_name": "c_123", "tags": {"plan": "enterprise", "region": "EU"}},
{"customer_name": "c_456", "tags": {"plan": "free"}}
],
"next_cursor": null,
"has_more": false
}